Bug 98180 - VLANs on bonded interfaces not setup
VLANs on bonded interfaces not setup
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2003-06-27 11:44 EDT by Hrunting Johnson
Modified: 2014-03-16 22:37 EDT (History)
1 user (show)

See Also:
Fixed In Version: 7.58-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-07 16:00:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hrunting Johnson 2003-06-27 11:44:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4b)
Gecko/20030516 Mozilla Firebird/0.6

Description of problem:
VLANs work with bonded interfaces, but the ifup scripts don't handle them very
well.  Here are some of the changes that need to be made.

ifup specifically looks for VLANs of type eth[0-9][0-9]*\....  That needs to
change to probably look for [a-zA-z]+[0-9][0-9]*\.... (at the very least, it
should be expanded past just eth to maybe (eth|bond)).

VLANs should be processed after all other interfaces are brought up.  This
ensures that if a VLAN is placed on a bonded interface, the bonded interface is
configured and up (as much as it can be) before the VLAN is brought up on it. 
If a VLAN is brought up before the bonded interface has its slaves enslaved, the
bonded interface has no MAC address and the VLAN picks up a zeroed MAC address
that never gets updated.  Currently, VLANs are processed in the normal flow,
which means they are usually brought up right after the interface they're
applied on.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Setup bonded interfaces bond0 on eth0, eth1
2. Setup vlan on bond0.1, for example
3. boot box 

Actual Results:  Everything comes up, but vlan on the bonded interface has no
MAC address information.

Expected Results:  Everything comes up and vlan on the bonded interface has MAC
address of bonded interface it is attached to.

Additional info:

This can obviously be done by setting ONBOOT=no in the vlan ifcfg file, and then
sticking the ifup commands in /etc/rc.local, but it doesn't really need to be
that way.
Comment 1 Bill Nottingham 2003-06-27 12:53:59 EDT
eth[0-9] is broken anyways, because devices can be renamed with nameif.
Comment 2 Bill Nottingham 2004-06-07 16:00:16 EDT
A patch that may help this will be in 7.58-1.

Note You need to log in before you can comment on or make changes to this bug.